<!DOCTYPE html>
<html class=''>
<head>
<meta charset='utf-8'>
<title>Tic Tac Toe</title>
<meta name="keywords" content="tic tac toe, css game, two player game, pure css, only css, html5, css3, animation, css animation, jquery, plugin, game, javascript">
<meta name="author" content="Dhiraj kumar">
<meta name="copyright" content="css-jquery-design.com">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
<link rel="stylesheet" type="text/css" href="/assets/toastr.min.css"> 
<script type="text/javascript">
disable = function(class_name,bool){
  console.log(class_name);
  list_id = document.getElementsByClassName(class_name);
  console.log(list_id)
  var i =0;
  while(i<list_id.length){
    list_id[i].disabled = bool;
    i=i+1
  }
};
send_restart = function(){
  faye.publish('<%=@channel_id%>',{
    message: "restart"
  });
}


restart = function(){
  var i =0 
  while (i < clicked.length){
    array = document.getElementsByClassName(clicked[i]);
    var j=0;
    while(j<array.length){
      array[j].checked = false;
      j=j+2;
    }
    i=i+1;
  }
  clicked =[] 
  next_class = "turn-1" 
}
clicked = []
next_class = "turn-1"
player1 = ""
player2 =""
me = "player1"
active = true
$(function(){
$(window).blur(function(e) {
    active = false;
});
$(window).focus(function(e) {
  active = true;
});
disable(next_class,true);
player1 = "<%= @player1_name%>"
  
player2 = "<%= @player2_name%>"
if( !<%= @player2_name.nil?%>){
  toastr.info("Hi! "+player2+" "+player1+" got connected have a great game")
  me = "player2"
  document.getElementById("opponent").style.display = "none";
  document.getElementById("link-form").style.display = "none";
}
faye = new Faye.Client("<%=ENV['FAYE_END_POINT']%>");
faye.subscribe("<%=@channel_id%>", function(data){
  console.dir(data)
  if(data.message == "restart"){
    restart();
  }
  else if(data.message == "disconnected"){
    toastr.error("Hi!"+player1+" "+player2+" got dissconnected !! sorry")
  }
  else if(data.message == "connected"){
    player2 = data.user_name;
    toastr.info("Hi!"+player1+" "+player2+" got connected have a great game");
    disable(next_class,false);
    document.getElementById("opponent").style.display = "none";
  document.getElementById("link-form").style.display = "none";
  }
  else if(data.publisher != "<%=@user_id%>"){
    if(clicked.indexOf(data.class_name) == -1){
      clicked.push(data.class_name);
      if(!active){
        // alert("Move has been done by opponent")
      }
      disable(data.class_name,false);
      click(data.id) ;
    }
    }
  });
faye.publish('<%=@channel_id%>',{
  message: "connected",
  user_name: "<%= @player2_name %>"
});
$(".turn-1").click(function(){
  console.log(clicked+" header ");
  if(clicked.indexOf("turn-1") == -1){
    console.log("2");
    console.log(this);
    var id = this.id;
    
    console.log(id);
    if(id) {
      faye.publish('<%=@channel_id%>', {
          text: "lol",
          id: id,
          class_name:"turn-1" ,
          publisher: "<%=@user_id%>"
      });
      console.log("4");
      next_class = "turn-2";
      disable(next_class,true);
      clicked.push("turn-1");
      console.log("pushed"+"<%=@user_id%>");
    } 
  }
  else{
    console.log("came here enabled turn-2");
    next_class = "turn-2";
    disable(next_class,false);
  };
});

$(".turn-2").click(function(){
  if(clicked.indexOf("turn-2") == -1){
    var id = this.id;
    if(id) {
      faye.publish('<%=@channel_id%>', {
          text: "lol",
          id: id,
          class_name:"turn-2" ,
          publisher: "<%=@user_id%>"
      });
      console.log("pushed"+"<%=@user_id%>");
    next_class = "turn-3";
    disable(next_class,true);
    clicked.push("turn-2");
    }
  }
  else{
    console.log("came here enabled turn-3");
    next_class = "turn-3";
    disable(next_class,false);
  };
});

$(".turn-3").click(function(){
  if(clicked.indexOf("turn-3") == -1){
    var id = this.id;
    if(id) {
      faye.publish('<%=@channel_id%>', {
          text: "lol",
          id: id,
          class_name:"turn-3" ,
          publisher: "<%=@user_id%>"
      });
      console.log("pushed"+"<%=@user_id%>");
    next_class = "turn-4";
    disable(next_class,true);
    clicked.push("turn-3");
    } 
    else{
    next_class = "turn-4";
    disable(next_class,false);
  };
}
});


$(".turn-4").click(function(){
  if(clicked.indexOf("turn-4") == -1){
    var id = this.id;
    
    if(id) {
      faye.publish('<%=@channel_id%>', {
          text: "lol",
          id: id,
          class_name:"turn-4" ,
          publisher: "<%=@user_id%>"
      });
      console.log("pushed"+"<%=@user_id%>");
      next_class = "turn-5";
      disable(next_class,true);
    clicked.push("turn-4");
    } 
  }
  else{
    next_class = "turn-5";
    disable(next_class,false);
  };
});


$(".turn-5").click(function(){
  if(clicked.indexOf("turn-5") == -1){
  
    var id = this.id;
    if(id) {
      faye.publish('<%=@channel_id%>', {
          text: "lol",
          id: id,
          class_name:"turn-5" ,
          publisher: "<%=@user_id%>"
      });
      console.log("pushed"+"<%=@user_id%>");
    next_class = "turn-6";
    disable(next_class,true);
    clicked.push("turn-5");
    } 
  }
  else{
    next_class = "turn-6";
    disable(next_class,false);
  };
});


$(".turn-6").click(function(){
  if(clicked.indexOf("turn-6") == -1){
  var id = this.id;
  if(id) {
    faye.publish('<%=@channel_id%>', {
        text: "lol",
        id: id,
        class_name:"turn-6" ,
        publisher: "<%=@user_id%>"
    });
    console.log("pushed"+"<%=@user_id%>");
  next_class = "turn-7";
  disable(next_class,true);
  clicked.push("turn-6");
  } 
  else{
    next_class = "turn-7";
    disable(next_class,false);
  };
}
});


$(".turn-7").click(function(){
  if(clicked.indexOf("turn-7") == -1){
  var id = this.id;
  if(id) {
    faye.publish('<%=@channel_id%>', {
        text: "lol",
        id: id,
        class_name:"turn-7" ,
        publisher: "<%=@user_id%>"
    });
    console.log("pushed"+"<%=@user_id%>");
  next_class = "turn-8";
  disable(next_class,true);
  clicked.push("turn-7");

  } 
  else{
    next_class = "turn-8";
    disable(next_class,false);
  };
}
});

$(".turn-8").click(function(){
  if(clicked.indexOf("turn-8") == -1){
  var id = this.id;
  if(id) {
    faye.publish('<%=@channel_id%>', {
        text: "lol",
        id: id,
        class_name:"turn-8" ,
        publisher: "<%=@user_id%>"
    });
    console.log("pushed"+"<%=@user_id%>");
  next_class = "turn-9";
  disable(next_class,true);
  clicked.push("turn-8");
  }
  else{
    next_class = "turn-9";
    disable(next_class,false);
  }; 
}
});


$(".turn-9").click(function(){
  if(clicked.indexOf("turn-9") == -1){
  var id = this.id;
  if(id) {
    faye.publish('<%=@channel_id%>', {
        text: "lol",
        id: id,
        class_name:"turn-9" ,
        publisher: "<%=@user_id%>"
    });
    console.log("pushed"+"<%=@user_id%>");
  clicked.push("turn-9");
  }
  } 
});
});
function getParameterByName(name) {
    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
        results = regex.exec(location.search);
    return results === null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
}

click = function(id){
  document.getElementById(id).click();
}


$('body').bind('beforeunload',function(){
   alert("do u want to really leave")
});


</script>
<style>@import url(http://fonts.googleapis.com/css?family=Cherry+Swash|Open+Sans:400,300,700);

/* Variables

-------------------------------------------------------------- */
/* Body and Notice styling
-------------------------------------------------------------- */
header * {margin: 0; padding: 0}
header a, a:visited {
  text-decoration:none;color:#2caae7}
body {color: #b6b5ca; font-family: 'Arial', sans-serif;margin: 0;text-align: center;background:url('http://fotonin.com/data_images/out/9/827627-hd-background.jpg')}
header, #header {
  background-color:#333;background-color:rgba(33, 33, 33, 0.9);color:#fff;display:block;padding: 10px 0; width:100%; font-size:1.2em;font-family: 'Cherry Swash', trebuchet ms, cursive
}
h1, p {text-align: center}
header h1 {text-align: center}
h5 {font-weight: 400;padding: 0 20px; color:#222}
/* Tic-tac-toe game
-------------------------------------------------------------- */
.tic-tac-toe {
  font-family: 'Open Sans', sans-serif;
  height: 300px;
  overflow: hidden;
  margin: 50px auto 30px auto;
  position: relative;
  width: 300px; background:rgba(255,255,255,.6); border-radius:10px;box-shadow: 0 0 8px rgba(0, 0, 0, 0.2)
}
@media (min-width: 450px) {
.tic-tac-toe {
  height: 450px;
  width: 450px}
}
.tic-tac-toe input[type="radio"] {
  display: none}
.tic-tac-toe input[type="radio"]:checked + label {
  cursor: default;
  z-index: 10 !important
}
.tic-tac-toe input[type="radio"].player-1 + label:after {content: "X"}
.tic-tac-toe input[type="radio"].player-2 + label:after {content: "O"}
.tic-tac-toe input[type="radio"].player-1:checked + label:after, .tic-tac-toe input[type="radio"].player-2:checked + label:after {
  opacity: 1
}
.tic-tac-toe input[type="radio"].player-1:checked + label {background-color: #dc685a}
.tic-tac-toe input[type="radio"].player-2:checked + label {background-color: #5acedc}
.tic-tac-toe input[type="radio"].turn-1 + label {z-index: 1}
.tic-tac-toe input[type="radio"].turn-2 + label {z-index: 2}
.tic-tac-toe input[type="radio"].turn-3 + label {z-index: 3}
.tic-tac-toe input[type="radio"].turn-4 + label {z-index: 4}
.tic-tac-toe input[type="radio"].turn-5 + label {z-index: 5}
.tic-tac-toe input[type="radio"].turn-6 + label {z-index: 6}
.tic-tac-toe input[type="radio"].turn-7 + label {z-index: 7}
.tic-tac-toe input[type="radio"].turn-8 + label {z-index: 8}
.tic-tac-toe input[type="radio"].turn-9 + label {z-index: 9}
.tic-tac-toe input[type="radio"].turn-1 + label {display: block}
.tic-tac-toe input[type="radio"].turn-1:checked ~ .turn-2 + label {display: block}
.tic-tac-toe input[type="radio"].turn-2:checked ~ .turn-3 + label {display: block}
.tic-tac-toe input[type="radio"].turn-3:checked ~ .turn-4 + label {display: block}
.tic-tac-toe input[type="radio"].turn-4:checked ~ .turn-5 + label {display: block}
.tic-tac-toe input[type="radio"].turn-5:checked ~ .turn-6 + label {display: block}
.tic-tac-toe input[type="radio"].turn-6:checked ~ .turn-7 + label {display: block}
.tic-tac-toe input[type="radio"].turn-7:checked ~ .turn-8 + label {display: block}
.tic-tac-toe input[type="radio"].turn-8:checked ~ .turn-9 + label {display: block}
.tic-tac-toe input[type="radio"].left + label {left: 0}
.tic-tac-toe input[type="radio"].top + label {top: 0}
.tic-tac-toe input[type="radio"].middle + label {left: 100px}
.tic-tac-toe input[type="radio"].right + label {left: 200px}
.tic-tac-toe input[type="radio"].center + label {top: 100px}
.tic-tac-toe input[type="radio"].bottom + label {top: 200px}
@media (min-width: 450px) {
.tic-tac-toe input[type="radio"].middle + label {left: 150px}
.tic-tac-toe input[type="radio"].right + label {left: 300px}
.tic-tac-toe input[type="radio"].center + label {top: 150px}
.tic-tac-toe input[type="radio"].bottom + label {top: 300px}
}
.tic-tac-toe input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ .end {
 display: block
}
.tic-tac-toe input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ .end > h3:before {
 content: "It is a tie!"
}
.tic-tac-toe .player-1.first-column:checked ~ .player-1.first-column:checked ~ .player-1.first-column:checked ~ .end, .tic-tac-toe .player-1.second-column:checked ~ .player-1.second-column:checked ~ .player-1.second-column:checked ~ .end, .tic-tac-toe .player-1.third-column:checked ~ .player-1.third-column:checked ~ .player-1.third-column:checked ~ .end, .tic-tac-toe .player-1.first-row:checked ~ .player-1.first-row:checked ~ .player-1.first-row:checked ~ .end, .tic-tac-toe .player-1.second-row:checked ~ .player-1.second-row:checked ~ .player-1.second-row:checked ~ .end, .tic-tac-toe .player-1.third-row:checked ~ .player-1.third-row:checked ~ .player-1.third-row:checked ~ .end, .tic-tac-toe .player-1.first-diagonal:checked ~ .player-1.first-diagonal:checked ~ .player-1.first-diagonal:checked ~ .end, .tic-tac-toe .player-1.second-diagonal:checked ~ .player-1.second-diagonal:checked ~ .player-1.second-diagonal:checked ~ .end {
 display: block
}
.tic-tac-toe .player-1.first-column:checked ~ .player-1.first-column:checked ~ .player-1.first-column:checked ~ .end h3:before, .tic-tac-toe .player-1.second-column:checked ~ .player-1.second-column:checked ~ .player-1.second-column:checked ~ .end h3:before, .tic-tac-toe .player-1.third-column:checked ~ .player-1.third-column:checked ~ .player-1.third-column:checked ~ .end h3:before, .tic-tac-toe .player-1.first-row:checked ~ .player-1.first-row:checked ~ .player-1.first-row:checked ~ .end h3:before, .tic-tac-toe .player-1.second-row:checked ~ .player-1.second-row:checked ~ .player-1.second-row:checked ~ .end h3:before, .tic-tac-toe .player-1.third-row:checked ~ .player-1.third-row:checked ~ .player-1.third-row:checked ~ .end h3:before, .tic-tac-toe .player-1.first-diagonal:checked ~ .player-1.first-diagonal:checked ~ .player-1.first-diagonal:checked ~ .end h3:before, .tic-tac-toe .player-1.second-diagonal:checked ~ .player-1.second-diagonal:checked ~ .player-1.second-diagonal:checked ~ .end h3:before {
 content: " Player 1 won!" !important
}
.tic-tac-toe .player-2.first-column:checked ~ .player-2.first-column:checked ~ .player-2.first-column:checked ~ .end, .tic-tac-toe .player-2.second-column:checked ~ .player-2.second-column:checked ~ .player-2.second-column:checked ~ .end, .tic-tac-toe .player-2.third-column:checked ~ .player-2.third-column:checked ~ .player-2.third-column:checked ~ .end, .tic-tac-toe .player-2.first-row:checked ~ .player-2.first-row:checked ~ .player-2.first-row:checked ~ .end, .tic-tac-toe .player-2.second-row:checked ~ .player-2.second-row:checked ~ .player-2.second-row:checked ~ .end, .tic-tac-toe .player-2.third-row:checked ~ .player-2.third-row:checked ~ .player-2.third-row:checked ~ .end, .tic-tac-toe .player-2.first-diagonal:checked ~ .player-2.first-diagonal:checked ~ .player-2.first-diagonal:checked ~ .end, .tic-tac-toe .player-2.second-diagonal:checked ~ .player-2.second-diagonal:checked ~ .player-2.second-diagonal:checked ~ .end {
 display: block
}
.tic-tac-toe .player-2.first-column:checked ~ .player-2.first-column:checked ~ .player-2.first-column:checked ~ .end h3:before, .tic-tac-toe .player-2.second-column:checked ~ .player-2.second-column:checked ~ .player-2.second-column:checked ~ .end h3:before, .tic-tac-toe .player-2.third-column:checked ~ .player-2.third-column:checked ~ .player-2.third-column:checked ~ .end h3:before, .tic-tac-toe .player-2.first-row:checked ~ .player-2.first-row:checked ~ .player-2.first-row:checked ~ .end h3:before, .tic-tac-toe .player-2.second-row:checked ~ .player-2.second-row:checked ~ .player-2.second-row:checked ~ .end h3:before, .tic-tac-toe .player-2.third-row:checked ~ .player-2.third-row:checked ~ .player-2.third-row:checked ~ .end h3:before, .tic-tac-toe .player-2.first-diagonal:checked ~ .player-2.first-diagonal:checked ~ .player-2.first-diagonal:checked ~ .end h3:before, .tic-tac-toe .player-2.second-diagonal:checked ~ .player-2.second-diagonal:checked ~ .player-2.second-diagonal:checked ~ .end h3:before {
 content: "Player 2 won!" !important
}
.tic-tac-toe label {
  background-color: #f2e0c4;
  border-radius: 14px;
  cursor: pointer;
  color: #fff;
  display: none;
  height: 90px;
  margin: 5px;
  position: absolute;
  width: 90px;
  -moz-transition: background-color 0.3s;
  -o-transition: background-color 0.3s;
  -webkit-transition: background-color 0.3s;
  transition: background-color 0.3s
}
@media (min-width: 450px) {
.tic-tac-toe label {
  height: 140px;
  width: 140px
}
}
.input1 input[type="text"] {
  width: 150px;
  padding: 10px;
  border: solid 1px #dcdcdc;
  transition: box-shadow 0.3s, border 0.3s;
}
.input1 input[type="text"]:focus,
.input1 input[type="text"].focus {
  border: solid 1px #707070;
  box-shadow: 0 0 5px 1px #969696;
}
.tic-tac-toe label:hover {background-color: #3d4250}
.tic-tac-toe label:hover:after {opacity: .4}
.tic-tac-toe label:after {
  left: 0;
  font-family: "trebuchet ms";
  font-size: 45px;
  margin-top: -25.5px;
  opacity: 0;
  position: absolute;
  text-align: center;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
  top: 50%;
  width: 100%
}
@media (min-width: 450px) {
.tic-tac-toe label:after {
  font-size: 70px;
  margin-top: -45px
}
}
.tic-tac-toe .end {
  background: rgba(255, 255, 255, 0.8);
  bottom: 5px;
  color: #3d4250;
  display: none;
  left: 5px;
  padding-top: 55px;
  position: absolute;
  right: 5px;
  top: 5px;
  text-align: center;
  z-index: 11
}
@media (min-width: 450px) {
.tic-tac-toe .end {
  padding-top: 110px
}
}
.tic-tac-toe .end h3 {
  font-size: 30px;
  font-weight: 300
}
@media (min-width: 450px) {
.tic-tac-toe .end h3 {
  font-size: 40px
}
}
.tic-tac-toe .end a {
  background-color: #3d4250;
  border-radius: 4px;
  color: #fff;
  padding: 14px 45px;
  text-decoration: none;
  -moz-transition: background-color 0.2s;
  -o-transition: background-color 0.2s;
  -webkit-transition: background-color 0.2s;
  transition: background-color 0.2s
}
.tic-tac-toe .end a:hover {
  background-color: #262934;
  cursor: pointer
}

#player1_info{
left: 0;
font-family: "trebuchet ms";
border-radius: 14px;
position: absolute;
text-align: center;
text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
top: 40%;
width: 200px;
height: 100px;
font-size: 30px;
margin-top: -45px

}
#player2_info{
left: 0;
font-family: "trebuchet ms";
border-radius: 14px;
position: absolute;
text-align: center;
text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
top: 60%;
width: 200px;
height: 100px;
font-size: 30px;
margin-top: -45px

}
#player1 {
background: #dc685a;
left: 0;
font-family: "trebuchet ms";
border-radius: 14px;
position: absolute;
text-align: center;
text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
top: 45%;
width: 50px;
height: 50px;
font-size: 15px;
margin-top: -45px
}
#player2 {
background: #5acedc;
left: 0;
font-family: "trebuchet ms";
border-radius: 14px;
position: absolute;
text-align: center;
text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
top: 50%;
width: 50px;
height: 50px;
font-size: 15px;
margin-top: -45px
}

#link-form {
  padding: 20px;
  width: 400px;
  margin: 0 auto;
}

#link-form div {
  /* Float containment */
  overflow: hidden;
}

#link-form  label, #link-form  input {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

#link-form  label {
  font-weight: bold;
  background: linear-gradient(#f1f1f1, #e2e2e2);
  padding: 5px 10px;
  color: #444;
  
  border: 1px solid #d4d4d4;
  /* lets remove the right border */
  border-right: 0;
  border-bottom-left-radius: 5px;
  border-top-left-radius: 5px;
  width: 30%;
  font-size: 15px;
  /* takes the width properly now and also the
  spacing between the label and input field got removed. */
  float: left;
  
  text-align: center;
  cursor: pointer;
}

/* The label is looking good now. Onto the input field! */

/*
Everything is broken now! But we can fix it. Lets see how.
*/
#link-form  input {
  width: 70%;
  padding: 5px;
  border: 1px solid #d4d4d4;
  border-bottom-right-radius: 5px;
  border-top-right-radius: 4px;
  line-height: 1.5em;
  float: right;
  box-shadow: inset 0px 2px 2px #ececec;
}
#link-form  input:focus {
  outline: 0;
  border: 1px solid #bbb;
}

</style>
</head>
<body ><header>
  <h1>Tic Tac Toe</h1>
  <p id ="opponent">opponent not yet connect please share this link</p>
  <!-- <div id= "player1_info"><div id = "player1">x</div> <p style = "position:relative;left:50px;" id ="player1_name">Anirudh</p></div>
  <div id = "player2_info"><div id = "player2">o</div><p style = "position:relative;left:50px;" id = "player2_name">Anirudh</p></div>
   -->  <!-- <input class = "input" id="link" type = "text" value ="<%=ENV['END_POINT']%>/game/join?channel=<%=@channel_id%>"/> -->
  <form id ="link-form">
  <div>
    <label for="pub_url">Public URL</label>
    <input type="text" id="pub_url" name="pub_url" value="<%=ENV['END_POINT']%>/game/join?channel=<%=@channel_id%>">
  </div>
</form>
</header>
<div class="tic-tac-toe">
  <input id="block1-1-1" type="radio" class="player-1 left first-column top first-row first-diagonal turn-1"/>
  <label for="block1-1-1" class="turn-1"></label>
  <input id="block1-1-2" type="radio" class="player-1 middle second-column top first-row turn-1"/>
  <label for="block1-1-2" class="turn-1"></label>
  <input id="block1-1-3" type="radio" class="player-1 right third-column top first-row second-diagonal turn-1"/>
  <label for="block1-1-3" class="turn-1"></label>
  <input id="block1-2-1" type="radio" class="player-1 left first-column center second-row turn-1"/>
  <label for="block1-2-1" class="turn-1"></label>
  <input id="block1-2-2" type="radio" class="player-1 middle second-column center second-row first-diagonal second-diagonal turn-1"/>
  <label for="block1-2-2" class="turn-1"></label>
  <input id="block1-2-3" type="radio" class="player-1 right third-column center second-row turn-1"/>
  <label for="block1-2-3" class="turn-1"></label>
  <input id="block1-3-1" type="radio" class="player-1 left first-column bottom third-row second-diagonal turn-1"/>
  <label for="block1-3-1" class="turn-1"></label>
  <input id="block1-3-2" type="radio" class="player-1 middle second-column bottom third-row turn-1"/>
  <label for="block1-3-2" class="turn-1"></label>
  <input id="block1-3-3" type="radio" class="player-1 right third-column bottom third-row first-diagonal turn-1"/>
  <label for="block1-3-3" class="turn-1"></label>
  <input id="block2-1-1" type="radio" class="player-2 left first-column top first-row first-diagonal turn-2"/>
  <label for="block2-1-1" class="turn-2"></label>
  <input id="block2-1-2" type="radio" class="player-2 middle second-column top first-row turn-2"/>
  <label for="block2-1-2" class="turn-2"></label>
  <input id="block2-1-3" type="radio" class="player-2 right third-column top first-row second-diagonal turn-2"/>
  <label for="block2-1-3" class="turn-2"></label>
  <input id="block2-2-1" type="radio" class="player-2 left first-column center second-row turn-2"/>
  <label for="block2-2-1" class="turn-2"></label>
  <input id="block2-2-2" type="radio" class="player-2 middle second-column center second-row first-diagonal second-diagonal turn-2"/>
  <label for="block2-2-2" class="turn-2"></label>
  <input id="block2-2-3" type="radio" class="player-2 right third-column center second-row turn-2"/>
  <label for="block2-2-3" class="turn-2"></label>
  <input id="block2-3-1" type="radio" class="player-2 left first-column bottom third-row second-diagonal turn-2"/>
  <label for="block2-3-1" class="turn-2"></label>
  <input id="block2-3-2" type="radio" class="player-2 middle second-column bottom third-row turn-2"/>
  <label for="block2-3-2" class="turn-2"></label>
  <input id="block2-3-3" type="radio" class="player-2 right third-column bottom third-row first-diagonal turn-2"/>
  <label for="block2-3-3" class="turn-2"></label>
  <input id="block3-1-1" type="radio" class="player-1 left first-column top first-row first-diagonal turn-3"/>
  <label for="block3-1-1" class="turn-3"></label>
  <input id="block3-1-2" type="radio" class="player-1 middle second-column top first-row turn-3"/>
  <label for="block3-1-2" class="turn-3"></label>
  <input id="block3-1-3" type="radio" class="player-1 right third-column top first-row second-diagonal turn-3"/>
  <label for="block3-1-3" class="turn-3"></label>
  <input id="block3-2-1" type="radio" class="player-1 left first-column center second-row turn-3"/>
  <label for="block3-2-1" class="turn-3"></label>
  <input id="block3-2-2" type="radio" class="player-1 middle second-column center second-row first-diagonal second-diagonal turn-3"/>
  <label for="block3-2-2" class="turn-3"></label>
  <input id="block3-2-3" type="radio" class="player-1 right third-column center second-row turn-3"/>
  <label for="block3-2-3" class="turn-3"></label>
  <input id="block3-3-1" type="radio" class="player-1 left first-column bottom third-row second-diagonal turn-3"/>
  <label for="block3-3-1" class="turn-3"></label>
  <input id="block3-3-2" type="radio" class="player-1 middle second-column bottom third-row turn-3"/>
  <label for="block3-3-2" class="turn-3"></label>
  <input id="block3-3-3" type="radio" class="player-1 right third-column bottom third-row first-diagonal turn-3"/>
  <label for="block3-3-3" class="turn-3"></label>
  <input id="block4-1-1" type="radio" class="player-2 left first-column top first-row first-diagonal turn-4"/>
  <label for="block4-1-1" class="turn-4"></label>
  <input id="block4-1-2" type="radio" class="player-2 middle second-column top first-row turn-4"/>
  <label for="block4-1-2" class="turn-4"></label>
  <input id="block4-1-3" type="radio" class="player-2 right third-column top first-row second-diagonal turn-4"/>
  <label for="block4-1-3" class="turn-4"></label>
  <input id="block4-2-1" type="radio" class="player-2 left first-column center second-row turn-4"/>
  <label for="block4-2-1" class="turn-4"></label>
  <input id="block4-2-2" type="radio" class="player-2 middle second-column center second-row first-diagonal second-diagonal turn-4"/>
  <label for="block4-2-2" class="turn-4"></label>
  <input id="block4-2-3" type="radio" class="player-2 right third-column center second-row turn-4"/>
  <label for="block4-2-3" class="turn-4"></label>
  <input id="block4-3-1" type="radio" class="player-2 left first-column bottom third-row second-diagonal turn-4"/>
  <label for="block4-3-1" class="turn-4"></label>
  <input id="block4-3-2" type="radio" class="player-2 middle second-column bottom third-row turn-4"/>
  <label for="block4-3-2" class="turn-4"></label>
  <input id="block4-3-3" type="radio" class="player-2 right third-column bottom third-row first-diagonal turn-4"/>
  <label for="block4-3-3" class="turn-4"></label>
  <input id="block5-1-1" type="radio" class="player-1 left first-column top first-row first-diagonal turn-5"/>
  <label for="block5-1-1" class="turn-5"></label>
  <input id="block5-1-2" type="radio" class="player-1 middle second-column top first-row turn-5"/>
  <label for="block5-1-2" class="turn-5"></label>
  <input id="block5-1-3" type="radio" class="player-1 right third-column top first-row second-diagonal turn-5"/>
  <label for="block5-1-3" class="turn-5"></label>
  <input id="block5-2-1" type="radio" class="player-1 left first-column center second-row turn-5"/>
  <label for="block5-2-1" class="turn-5"></label>
  <input id="block5-2-2" type="radio" class="player-1 middle second-column center second-row first-diagonal second-diagonal turn-5"/>
  <label for="block5-2-2" class="turn-5"></label>
  <input id="block5-2-3" type="radio" class="player-1 right third-column center second-row turn-5"/>
  <label for="block5-2-3" class="turn-5"></label>
  <input id="block5-3-1" type="radio" class="player-1 left first-column bottom third-row second-diagonal turn-5"/>
  <label for="block5-3-1" class="turn-5"></label>
  <input id="block5-3-2" type="radio" class="player-1 middle second-column bottom third-row turn-5"/>
  <label for="block5-3-2" class="turn-5"></label>
  <input id="block5-3-3" type="radio" class="player-1 right third-column bottom third-row first-diagonal turn-5"/>
  <label for="block5-3-3" class="turn-5"></label>
  <input id="block6-1-1" type="radio" class="player-2 left first-column top first-row first-diagonal turn-6"/>
  <label for="block6-1-1" class="turn-6"></label>
  <input id="block6-1-2" type="radio" class="player-2 middle second-column top first-row turn-6"/>
  <label for="block6-1-2" class="turn-6"></label>
  <input id="block6-1-3" type="radio" class="player-2 right third-column top first-row second-diagonal turn-6"/>
  <label for="block6-1-3" class="turn-6"></label>
  <input id="block6-2-1" type="radio" class="player-2 left first-column center second-row turn-6"/>
  <label for="block6-2-1" class="turn-6"></label>
  <input id="block6-2-2" type="radio" class="player-2 middle second-column center second-row first-diagonal second-diagonal turn-6"/>
  <label for="block6-2-2" class="turn-6"></label>
  <input id="block6-2-3" type="radio" class="player-2 right third-column center second-row turn-6"/>
  <label for="block6-2-3" class="turn-6"></label>
  <input id="block6-3-1" type="radio" class="player-2 left first-column bottom third-row second-diagonal turn-6"/>
  <label for="block6-3-1" class="turn-6"></label>
  <input id="block6-3-2" type="radio" class="player-2 middle second-column bottom third-row turn-6"/>
  <label for="block6-3-2" class="turn-6"></label>
  <input id="block6-3-3" type="radio" class="player-2 right third-column bottom third-row first-diagonal turn-6"/>
  <label for="block6-3-3" class="turn-6"></label>
  <input id="block7-1-1" type="radio" class="player-1 left first-column top first-row first-diagonal turn-7"/>
  <label for="block7-1-1" class="turn-7"></label>
  <input id="block7-1-2" type="radio" class="player-1 middle second-column top first-row turn-7"/>
  <label for="block7-1-2" class="turn-7"></label>
  <input id="block7-1-3" type="radio" class="player-1 right third-column top first-row second-diagonal turn-7"/>
  <label for="block7-1-3" class="turn-7"></label>
  <input id="block7-2-1" type="radio" class="player-1 left first-column center second-row turn-7"/>
  <label for="block7-2-1" class="turn-7"></label>
  <input id="block7-2-2" type="radio" class="player-1 middle second-column center second-row first-diagonal second-diagonal turn-7"/>
  <label for="block7-2-2" class="turn-7"></label>
  <input id="block7-2-3" type="radio" class="player-1 right third-column center second-row turn-7"/>
  <label for="block7-2-3" class="turn-7"></label>
  <input id="block7-3-1" type="radio" class="player-1 left first-column bottom third-row second-diagonal turn-7"/>
  <label for="block7-3-1" class="turn-7"></label>
  <input id="block7-3-2" type="radio" class="player-1 middle second-column bottom third-row turn-7"/>
  <label for="block7-3-2" class="turn-7"></label>
  <input id="block7-3-3" type="radio" class="player-1 right third-column bottom third-row first-diagonal turn-7"/>
  <label for="block7-3-3" class="turn-7"></label>
  <input id="block8-1-1" type="radio" class="player-2 left first-column top first-row first-diagonal turn-8"/>
  <label for="block8-1-1" class="turn-8"></label>
  <input id="block8-1-2" type="radio" class="player-2 middle second-column top first-row turn-8"/>
  <label for="block8-1-2" class="turn-8"></label>
  <input id="block8-1-3" type="radio" class="player-2 right third-column top first-row second-diagonal turn-8"/>
  <label for="block8-1-3" class="turn-8"></label>
  <input id="block8-2-1" type="radio" class="player-2 left first-column center second-row turn-8"/>
  <label for="block8-2-1" class="turn-8"></label>
  <input id="block8-2-2" type="radio" class="player-2 middle second-column center second-row first-diagonal second-diagonal turn-8"/>
  <label for="block8-2-2" class="turn-8"></label>
  <input id="block8-2-3" type="radio" class="player-2 right third-column center second-row turn-8"/>
  <label for="block8-2-3" class="turn-8"></label>
  <input id="block8-3-1" type="radio" class="player-2 left first-column bottom third-row second-diagonal turn-8"/>
  <label for="block8-3-1" class="turn-8"></label>
  <input id="block8-3-2" type="radio" class="player-2 middle second-column bottom third-row turn-8"/>
  <label for="block8-3-2" class="turn-8"></label>
  <input id="block8-3-3" type="radio" class="player-2 right third-column bottom third-row first-diagonal turn-8"/>
  <label for="block8-3-3" class="turn-8"></label>
  <input id="block9-1-1" type="radio" class="player-1 left first-column top first-row first-diagonal turn-9"/>
  <label for="block9-1-1" class="turn-9"></label>
  <input id="block9-1-2" type="radio" class="player-1 middle second-column top first-row turn-9"/>
  <label for="block9-1-2" class="turn-9"></label>
  <input id="block9-1-3" type="radio" class="player-1 right third-column top first-row second-diagonal turn-9"/>
  <label for="block9-1-3" class="turn-9"></label>
  <input id="block9-2-1" type="radio" class="player-1 left first-column center second-row turn-9"/>
  <label for="block9-2-1" class="turn-9"></label>
  <input id="block9-2-2" type="radio" class="player-1 middle second-column center second-row first-diagonal second-diagonal turn-9"/>
  <label for="block9-2-2" class="turn-9"></label>
  <input id="block9-2-3" type="radio" class="player-1 right third-column center second-row turn-9"/>
  <label for="block9-2-3" class="turn-9"></label>
  <input id="block9-3-1" type="radio" class="player-1 left first-column bottom third-row second-diagonal turn-9"/>
  <label for="block9-3-1" class="turn-9"></label>
  <input id="block9-3-2" type="radio" class="player-1 middle second-column bottom third-row turn-9"/>
  <label for="block9-3-2" class="turn-9"></label>
  <input id="block9-3-3" type="radio" class="player-1 right third-column bottom third-row first-diagonal turn-9"/>
  <label for="block9-3-3" class="turn-9"></label>
  <div class="end">
    <h3></h3>
    <a onclick = "restart();send_restart();">Restart</a> </div>
</div>
<script src="/assets/toastr.min.js"></script>
</body>
</html>